algorithmic modeling for Rhino
Hi all, am new to scripting in python, was wondering how to recreate this effect (attached) within one Python component.
My approach looks something like this:
import rhinoscriptsyntax as rs
clsdcrv = []
clsdcrv.append(x)
for i in range (0,z):
explodedCurves = []
explodedCurves = rs.ExplodeCurves(clsdcrv, True)
pts = []
for curve in explodedCurves:
parameter = rs.CurveParameter(curve, t)
point_on_curve = rs.EvaluateCurve(curve, parameter)
pts.append(point_on_curve)
pts.append(pts[0])
a = rs.AddPolyline(pts)
clsdcrv.append(a)
Tags:
Guessed I should have explained, made those images with the builtin grasshopper components by
1) evaluating curve edges at a certain parameter
2) then making a polyline that goes through the points from the evaluatecrv,
3) then doing step 1 on the polyline over and over until I got that result
I was wondering how you would do the same thing within the ghpython component? The approach I am taking doesn't seem to loop right when I set the range higher than 1, any idea what's wrong?
Welcome to
Grasshopper
© 2025 Created by Scott Davidson.
Powered by